<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta content="text/html; charset=UTF-8" http-equiv="content-type" />
	<title>workshop</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">Wikipedia</td></tr>
</thead>
<tbody>
<tr><td>loadVars</td><td>miasta.csv<datalist><option>miasta.csv</option></datalist></td><td></td>
</tr>
<tr><td>if</td><td>miasto != ""<datalist><option>${miasto} != ""</option><option>{miasto} != ""</option><option>${miasto} == ""</option><option>{miasto} == ""</option><option>miasto != ""</option></datalist></td><td></td>
</tr>
<tr><td>open</td><td>https://pl.wikipedia.org/wiki/Wikipedia:Strona_g%C5%82%C3%B3wna<datalist><option>https://pl.wikipedia.org/wiki/Wikipedia:Strona_g%C5%82%C3%B3wna</option></datalist></td><td></td>
</tr>
<tr><td>click</td><td>id=searchInput<datalist><option>id=searchInput</option><option>name=search</option><option>//input[@id='searchInput']</option><option>//div[@id='simpleSearch']/input</option><option>//form/div/input</option><option>css=#searchInput</option></datalist></td><td></td>
</tr>
<tr><td>type</td><td>id=searchInput<datalist><option>id=searchInput</option><option>name=search</option><option>//input[@id='searchInput']</option><option>//div[@id='simpleSearch']/input</option><option>//form/div/input</option><option>css=#searchInput</option></datalist></td><td>${miasto}</td>
</tr>
<tr><td>submit</td><td>id=searchform<datalist><option>id=searchform</option></datalist></td><td></td>
</tr>
<tr><td>assertText</td><td>id=firstHeading<datalist><option>id=firstHeading</option><option>//h1[@id='firstHeading']</option><option>//div[@id='content']/h1</option><option>//h1</option><option>css=#firstHeading</option></datalist></td><td>${miasto}*</td>
</tr>
<tr><td>assertText</td><td>xpath=(//table//td/a[contains(text(),"Prezydent")]/ancestor::tr/td[2])<datalist><option>//table//td/a[contains(text(),"Prezydent")]/ancestor::tr/td[2]</option><option>xpath=//table//td/a[contains(text(),"Prezydent")]/ancestor::tr/td[2]</option><option>xpath=(//table//td/a[contains(text(),"Prezydent")]/ancestor::tr/td[2])</option></datalist></td><td>${prezydent}</td>
</tr>
<tr><td>endIf</td><td><datalist><option></option></datalist></td><td></td>
</tr>
<tr><td>endLoadVars</td><td><datalist><option></option></datalist></td><td></td>
</tr>
</tbody></table>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">cookie</td></tr>
</thead>
<tbody>
<tr><td>open</td><td>http://book.theautomatedtester.co.uk/chapter8<datalist><option>http://book.theautomatedtester.co.uk/chapter8</option></datalist></td><td></td>
</tr>
<tr><td>assertCookiePresent</td><td>visitorCount<datalist><option>visitorCount</option></datalist></td><td></td>
</tr>
<tr><td>verifyCookieNotPresent</td><td>secondcookie<datalist><option>secondcookie</option></datalist></td><td></td>
</tr>
<tr><td>click</td><td>id=secondCookie<datalist><option>id=secondCookie</option><option>//input[@id='secondCookie']</option><option>//input</option><option>css=#secondCookie</option></datalist></td><td></td>
</tr>
<tr><td>assertCookiePresent</td><td>secondcookie<datalist><option>secondcookie</option></datalist></td><td></td>
</tr>
</tbody></table>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">Mouse over</td></tr>
</thead>
<tbody>
<tr><td>open</td><td>http://book.theautomatedtester.co.uk/chapter4<datalist><option>http://book.theautomatedtester.co.uk/chapter4</option></datalist></td><td></td>
</tr>
<tr><td>mouseOver</td><td>id=hoverOver<datalist><option>id=onHover</option><option>id=hoverOver</option></datalist></td><td></td>
</tr>
<tr><td>assertAlert</td><td>on MouseOver worked<datalist><option>on MouseOver worked</option></datalist></td><td></td>
</tr>
</tbody></table>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">fake email</td></tr>
</thead>
<tbody>
<tr><td>open</td><td>https://www.randomlists.com/email-addresses<datalist><option>generator.email</option><option>https://www.randomlists.com/email-addresses</option></datalist></td><td></td>
</tr>
<tr><td>store</td><td>1<datalist><option>ii</option><option>1</option></datalist></td><td>ii</td>
</tr>
<tr><td>while</td><td>ii &lt; 12<datalist><option>ii &lt; 12</option></datalist></td><td></td>
</tr>
<tr><td>assertText</td><td>//ol/li[${ii}]<datalist><option>id=userName</option><option>//input[@id='userName']</option><option>//input</option><option>css=#userName</option><option>//ol/li[${ii}]</option></datalist></td><td>regex:\w+(\.\w+)*\@\w+(\.\w+)+</td>
</tr>
<tr><td>storeEval</td><td>${ii}+1<datalist><option>${ii}+1</option></datalist></td><td>ii</td>
</tr>
<tr><td>endWhile</td><td><datalist><option></option></datalist></td><td></td>
</tr>
</tbody></table>
</body>
</html>